function y = evalModelByCommittee(input, AllLMN, alpha)

% Calculate model output of a model committee given by AllLMN and alpha.

% AllLMN: Cell containing all committee members trained by modelByCommittee.m
% input:  Inputs [u1,u2,...,up] to calculate model output y


% Evaluate model for new data
N = size(input,1);
y = zeros(N,1);
for k = 1:length(alpha)
    y  = y  + alpha(k)*AllLMN{2,k}.calculateModelOutput(input);
end
